- Qt 6.10
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiAdapter
- Qt 6.10.2 Reference Documentation

# QRhiAdapter Class

Represents a physical graphics device. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS GuiPrivate)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.10

- List of all members, including inherited members

## Public Functions

virtual QRhiDriverInfo | info() const = 0

## Detailed Description

Some QRhi backends target graphics APIs that expose the concept of `adapters` or `physical devices`. Call the static enumerateAdapters() function to retrieve a list of the adapters present in the system. Pass one of the returned QRhiAdapter objects to create() in order to request using the adapter or physical device the QRhiAdapter corresponds to. Other than exposing the QRhiDriverInfo, QRhiAdapter is to be treated as an opaque handle.

Note: With Vulkan, the QRhiAdapter is valid only as long as the QVulkanInstance that was used for enumerateAdapters() is valid. This also means that a QRhiAdapter is tied to the Vulkan instance (QVulkanInstance, `VkInstance`) and cannot be used in the context of another Vulkan instance.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Function Documentation

### `[pure virtual]` QRhiDriverInfo QRhiAdapter::info() const

Returns the corresponding QRhiDriverInfo.